<?php

/*
 * Your installation or use of this SugarCRM file is subject to the applicable
 * terms available at
 * http://support.sugarcrm.com/Resources/Master_Subscription_Agreements/.
 * If you do not agree to all of the applicable terms or do not have the
 * authority to bind the entity as an authorized representative, then do not
 * install or use this SugarCRM file.
 *
 * Copyright (C) SugarCRM Inc. All rights reserved.
 */

$dictionary['Prod_Product'] = array(
    'table' => 'prod_product',
    'audited' => true,
    'activity_enabled' => false,
    'duplicate_merge' => true,
    'fields' => array (
  'name' => 
  array (
    'name' => 'name',
    'vname' => 'LBL_NAME',
    'type' => 'name',
    'dbType' => 'varchar',
    'len' => '255',
    'unified_search' => true,
    'full_text_search' => 
    array (
      'enabled' => true,
      'boost' => '1.55',
      'searchable' => true,
    ),
    'required' => true,
    'importable' => 'false',
    'duplicate_merge' => 'disabled',
    'merge_filter' => 'disabled',
    'duplicate_on_record_copy' => 'always',
    'massupdate' => false,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'duplicate_merge_dom_value' => 0,
    'audited' => true,
    'reportable' => true,
    'pii' => false,
    'default' => '',
    'calculated' => 'true',
    'size' => '20',
    'formula' => '$product_name',
    'enforced' => true,
  ),
  'stock_quantity' => 
  array (
    'required' => true,
    'name' => 'stock_quantity',
    'vname' => 'LBL_STOCK_QUANTITY',
    'type' => 'int',
    'massupdate' => false,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'enabled',
    'duplicate_merge_dom_value' => '1',
    'audited' => true,
    'reportable' => true,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'pii' => false,
    'default' => '',
    'full_text_search' => 
    array (
      'enabled' => '0',
      'boost' => '1',
      'searchable' => false,
    ),
    'calculated' => false,
    'dependency' => 'equal($stock,true)',
    'len' => '11',
    'size' => '20',
    'enable_range_search' => false,
    'disable_num_format' => '',
    'min' => false,
    'max' => false,
  ),
  'product_id_2' => 
  array (
    'required' => true,
    'name' => 'product_id_2',
    'vname' => 'LBL_PRODUCT_ID_2',
    'type' => 'varchar',
    'massupdate' => false,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'enabled',
    'duplicate_merge_dom_value' => '1',
    'audited' => true,
    'reportable' => true,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'pii' => false,
    'default' => '',
    'full_text_search' => 
    array (
      'enabled' => '0',
      'boost' => '1',
      'searchable' => false,
    ),
    'calculated' => false,
    'len' => '255',
    'size' => '20',
  ),
  'external_barcode' => 
  array (
    'required' => false,
    'name' => 'external_barcode',
    'vname' => 'LBL_EXTERNAL_BARCODE',
    'type' => 'varchar',
    'massupdate' => false,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'enabled',
    'duplicate_merge_dom_value' => '1',
    'audited' => true,
    'reportable' => true,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'pii' => false,
    'default' => '',
    'full_text_search' => 
    array (
      'enabled' => '0',
      'boost' => '1',
      'searchable' => false,
    ),
    'calculated' => false,
    'len' => '255',
    'size' => '20',
  ),
  'account_id1_c' => 
  array (
    'required' => false,
    'name' => 'account_id1_c',
    'vname' => 'LBL_VENDOR_ACCOUNT_ID',
    'type' => 'id',
    'massupdate' => false,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'enabled',
    'duplicate_merge_dom_value' => 1,
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'pii' => false,
    'calculated' => false,
    'len' => 36,
    'size' => '20',
  ),
  'vendor' => 
  array (
    'required' => true,
    'source' => 'non-db',
    'name' => 'vendor',
    'vname' => 'LBL_VENDOR',
    'type' => 'relate',
    'massupdate' => false,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'enabled',
    'duplicate_merge_dom_value' => '1',
    'audited' => true,
    'reportable' => true,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'pii' => false,
    'calculated' => false,
    'len' => 255,
    'size' => '20',
    'id_name' => 'account_id1_c',
    'ext2' => 'Accounts',
    'module' => 'Accounts',
    'rname' => 'name',
    'quicksearch' => 'enabled',
    'studio' => 'visible',
  ),
  'description' => 
  array (
    'name' => 'description',
    'vname' => 'LBL_DESCRIPTION',
    'type' => 'text',
    'comment' => 'Full text of the note',
    'full_text_search' => 
    array (
      'enabled' => true,
      'boost' => '0.5',
      'searchable' => true,
    ),
    'rows' => '6',
    'cols' => '80',
    'duplicate_on_record_copy' => 'always',
    'required' => false,
    'massupdate' => false,
    'no_default' => false,
    'comments' => 'Full text of the note',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'enabled',
    'duplicate_merge_dom_value' => '1',
    'audited' => true,
    'reportable' => true,
    'unified_search' => true,
    'merge_filter' => 'disabled',
    'pii' => false,
    'default' => '',
    'calculated' => false,
    'size' => '20',
    'studio' => 'visible',
  ),
  'cost_per_unit' => 
  array (
    'required' => false,
    'name' => 'cost_per_unit',
    'vname' => 'LBL_COST_PER_UNIT',
    'type' => 'decimal',
    'massupdate' => false,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'enabled',
    'duplicate_merge_dom_value' => 1,
    'audited' => false,
    'reportable' => true,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'pii' => false,
    'calculated' => false,
    'len' => 26,
    'size' => '20',
    'enable_range_search' => false,
    'precision' => 6,
    'label' => 'LBL_COST_PER_UNIT',
    'studio' => false,
  ),
  'product_name' => 
  array (
    'required' => true,
    'name' => 'product_name',
    'vname' => 'LBL_PRODUCT_NAME',
    'type' => 'varchar',
    'massupdate' => false,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'enabled',
    'duplicate_merge_dom_value' => '1',
    'audited' => true,
    'reportable' => true,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'pii' => false,
    'default' => '',
    'full_text_search' => 
    array (
      'enabled' => '0',
      'boost' => '1',
      'searchable' => false,
    ),
    'calculated' => false,
    'len' => '255',
    'size' => '20',
  ),
  'department' => 
  array (
    'required' => true,
    'name' => 'department',
    'vname' => 'LBL_DEPARTMENT',
    'type' => 'multienum',
    'massupdate' => true,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'enabled',
    'duplicate_merge_dom_value' => '1',
    'audited' => true,
    'reportable' => true,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'pii' => false,
    'calculated' => false,
    'size' => '20',
    'options' => 'department_list',
    'default' => '',
    'dependency' => '',
    'isMultiSelect' => true,
  ),
  'cost_per_unit_2' => 
  array (
    'required' => true,
    'name' => 'cost_per_unit_2',
    'vname' => 'LBL_COST_PER_UNIT_2',
    'type' => 'currency',
    'massupdate' => false,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'enabled',
    'duplicate_merge_dom_value' => '1',
    'audited' => true,
    'reportable' => true,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'pii' => false,
    'default' => '',
    'calculated' => false,
    'len' => 26,
    'size' => '20',
    'enable_range_search' => false,
    'precision' => 6,
    'related_fields' => 
    array (
      0 => 'currency_id',
      1 => 'base_rate',
    ),
    'dependency' => 'isInList($purchase_unit,createList("Box","Case"))',
  ),
  'currency_id' => 
  array (
    'required' => false,
    'name' => 'currency_id',
    'vname' => 'LBL_CURRENCY_ID',
    'type' => 'currency_id',
    'massupdate' => false,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'enabled',
    'duplicate_merge_dom_value' => 1,
    'audited' => false,
    'reportable' => true,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'pii' => false,
    'calculated' => false,
    'len' => 36,
    'size' => '20',
    'dbType' => 'id',
    'studio' => false,
    'function' => 'getCurrencies',
    'function_bean' => 'Currencies',
  ),
  'base_rate' => 
  array (
    'required' => false,
    'name' => 'base_rate',
    'vname' => 'LBL_CURRENCY_RATE',
    'type' => 'decimal',
    'massupdate' => false,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'enabled',
    'duplicate_merge_dom_value' => 1,
    'audited' => false,
    'reportable' => true,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'pii' => false,
    'calculated' => false,
    'len' => 26,
    'size' => '20',
    'enable_range_search' => false,
    'precision' => 6,
    'label' => 'LBL_CURRENCY_RATE',
    'studio' => false,
  ),
  'unit_quantity' => 
  array (
    'required' => true,
    'name' => 'unit_quantity',
    'vname' => 'LBL_UNIT_QUANTITY',
    'type' => 'int',
    'massupdate' => false,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'enabled',
    'duplicate_merge_dom_value' => '1',
    'audited' => true,
    'reportable' => true,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'pii' => false,
    'default' => '',
    'full_text_search' => 
    array (
      'enabled' => '0',
      'boost' => '1',
      'searchable' => false,
    ),
    'calculated' => false,
    'len' => '11',
    'size' => '20',
    'enable_range_search' => false,
    'disable_num_format' => '',
    'min' => false,
    'max' => false,
    'dependency' => 'isInList($purchase_unit,createList("Box","Case"))',
  ),
  'cost_per_each' => 
  array (
    'required' => true,
    'name' => 'cost_per_each',
    'vname' => 'LBL_COST_PER_EACH',
    'type' => 'currency',
    'massupdate' => false,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'false',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => 0,
    'audited' => true,
    'reportable' => true,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'pii' => false,
    'calculated' => '1',
    'formula' => 'divide($cost_per_unit_2,$unit_quantity)',
    'enforced' => true,
    'len' => 26,
    'size' => '20',
    'enable_range_search' => false,
    'precision' => 6,
    'related_fields' => 
    array (
      0 => 'currency_id',
      1 => 'base_rate',
    ),
    'dependency' => 'isInList($purchase_unit,createList("Box","Case"))',
  ),
  'cost_per_each_2' => 
  array (
    'required' => true,
    'name' => 'cost_per_each_2',
    'vname' => 'LBL_COST_PER_EACH_2',
    'type' => 'currency',
    'massupdate' => false,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'enabled',
    'duplicate_merge_dom_value' => '1',
    'audited' => true,
    'reportable' => true,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'pii' => false,
    'default' => '',
    'calculated' => false,
    'dependency' => 'isInList($purchase_unit,createList("Each","Bottle"))',
    'len' => 26,
    'size' => '20',
    'enable_range_search' => false,
    'precision' => 6,
    'related_fields' => 
    array (
      0 => 'currency_id',
      1 => 'base_rate',
    ),
  ),
  'type_2' => 
  array (
    'required' => true,
    'name' => 'type_2',
    'vname' => 'LBL_TYPE_2',
    'type' => 'enum',
    'massupdate' => true,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'enabled',
    'duplicate_merge_dom_value' => '1',
    'audited' => true,
    'reportable' => true,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'pii' => false,
    'default' => '',
    'calculated' => false,
    'len' => 100,
    'size' => '20',
    'options' => 'product_category_list',
    'dependency' => false,
  ),
  'subtype' => 
  array (
    'required' => true,
    'name' => 'subtype',
    'vname' => 'LBL_SUBTYPE',
    'type' => 'enum',
    'massupdate' => true,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'enabled',
    'duplicate_merge_dom_value' => '1',
    'audited' => true,
    'reportable' => true,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'pii' => false,
    'default' => '',
    'calculated' => false,
    'len' => 100,
    'size' => '20',
    'options' => 'pro_subtype_list',
    'dependency' => false,
    'visibility_grid' => 
    array (
      'trigger' => 'type_2',
      'values' => 
      array (
        'Balloon Catheter' => 
        array (
          0 => '',
          1 => 'Angioplasty Balloon',
          2 => 'Cutting Balloon',
          3 => 'Drug Coated Balloon',
          4 => 'OTW over the wire',
          5 => 'POBA Balloon',
          6 => 'PTA Balloon',
        ),
        'Cannula' => 
        array (
          0 => '',
          1 => 'Aortic Root Cannula',
          2 => 'Arterial Cannula',
          3 => 'Pediatric Cannula',
          4 => 'Venous Cannula',
          5 => 'Vessel Cannula',
        ),
        'Catheter' => 
        array (
          0 => '',
          1 => 'Access Catheter',
          2 => 'Central Venous Catheter',
          3 => 'Diagnostic Catheter',
          4 => 'EP Catheter',
          5 => 'Extension Catheter',
          6 => 'Foley Catheter',
          7 => 'Guide Catheter',
          8 => 'IV Catheter',
          9 => 'Mapping Catheter',
          10 => 'Micro Catheter',
          11 => 'Mila Catheter',
          12 => 'Pressure Catheter',
          13 => 'Support Catheter',
          14 => 'Transseptal Catheter',
        ),
        'Chemical' => 
        array (
        ),
        'Cleaning Agent' => 
        array (
        ),
        'Contrast' => 
        array (
          0 => '',
          1 => 'Barium Contrast',
          2 => 'Iodinated Contrast',
        ),
        'Drug' => 
        array (
          0 => '',
          1 => 'Injectable',
          2 => 'Oral',
        ),
        'Graft' => 
        array (
          0 => '',
          1 => 'Coated',
          2 => 'ePTFE',
          3 => 'Knitted',
          4 => 'Patches',
          5 => 'Woven',
        ),
        'Inflation Device' => 
        array (
          0 => '',
          1 => 'High Pressure',
        ),
        'Reagent' => 
        array (
        ),
        'Sheath' => 
        array (
          0 => '',
          1 => 'Introducer Sheath',
          2 => 'Steerable Sheath',
        ),
        'Stent' => 
        array (
          0 => '',
          1 => 'Bare Metal Stent',
          2 => 'Drug Coated Stent',
        ),
        'Suture' => 
        array (
          0 => '',
          1 => 'Ethibond',
          2 => 'Ethilon',
          3 => 'Monocryl',
          4 => 'PDS',
          5 => 'Pledget',
          6 => 'Prolene',
          7 => 'Silk',
          8 => 'Ti Cron',
          9 => 'Vicryl',
        ),
        'Wire' => 
        array (
          0 => '',
          1 => 'Exchange Wire',
          2 => 'Guide Catheter',
          3 => 'Marking Wire',
          4 => 'Support Wire',
        ),
        '' => 
        array (
        ),
      ),
    ),
  ),
  'quality_requirement' => 
  array (
    'required' => true,
    'name' => 'quality_requirement',
    'vname' => 'LBL_QUALITY_REQUIREMENT',
    'type' => 'multienum',
    'massupdate' => true,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'enabled',
    'duplicate_merge_dom_value' => '1',
    'audited' => true,
    'reportable' => true,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'pii' => false,
    'calculated' => false,
    'size' => '20',
    'options' => 'quality_requirement_list',
    'default' => '',
    'dependency' => '',
    'isMultiSelect' => true,
  ),
  'manufacturer' => 
  array (
    'required' => true,
    'name' => 'manufacturer',
    'vname' => 'LBL_MANUFACTURER',
    'type' => 'varchar',
    'massupdate' => false,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'enabled',
    'duplicate_merge_dom_value' => '1',
    'audited' => true,
    'reportable' => true,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'pii' => false,
    'default' => '',
    'full_text_search' => 
    array (
      'enabled' => '0',
      'boost' => '1',
      'searchable' => false,
    ),
    'calculated' => false,
    'len' => '255',
    'size' => '20',
  ),
  'concentration' => 
  array (
    'required' => false,
    'name' => 'concentration',
    'vname' => 'LBL_CONCENTRATION',
    'type' => 'decimal',
    'massupdate' => false,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'enabled',
    'duplicate_merge_dom_value' => '1',
    'audited' => true,
    'reportable' => true,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'pii' => false,
    'default' => '',
    'calculated' => false,
    'len' => '18',
    'size' => '20',
    'enable_range_search' => false,
    'precision' => 2,
  ),
  'u_units_id_c' => 
  array (
    'required' => false,
    'name' => 'u_units_id_c',
    'vname' => 'LBL_CONCENTRATION_UNIT_U_UNITS_ID',
    'type' => 'id',
    'massupdate' => false,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'enabled',
    'duplicate_merge_dom_value' => 1,
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'pii' => false,
    'calculated' => false,
    'len' => 36,
    'size' => '20',
  ),
  'concentration_unit' => 
  array (
    'required' => false,
    'source' => 'non-db',
    'name' => 'concentration_unit',
    'vname' => 'LBL_CONCENTRATION_UNIT',
    'type' => 'relate',
    'massupdate' => false,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'enabled',
    'duplicate_merge_dom_value' => '1',
    'audited' => true,
    'reportable' => true,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'pii' => false,
    'calculated' => false,
    'len' => 255,
    'size' => '20',
    'id_name' => 'u_units_id_c',
    'ext2' => 'U_Units',
    'module' => 'U_Units',
    'rname' => 'name',
    'quicksearch' => 'enabled',
    'studio' => 'visible',
  ),
  'purchase_unit' => 
  array (
    'required' => true,
    'name' => 'purchase_unit',
    'vname' => 'LBL_PURCHASE_UNIT',
    'type' => 'enum',
    'massupdate' => true,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'enabled',
    'duplicate_merge_dom_value' => '1',
    'audited' => true,
    'reportable' => true,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'pii' => false,
    'default' => '',
    'calculated' => false,
    'len' => 100,
    'size' => '20',
    'options' => 'purchase_unit_list',
    'dependency' => false,
  ),
  'allowed_storage' => 
  array (
    'required' => true,
    'name' => 'allowed_storage',
    'vname' => 'LBL_ALLOWED_STORAGE',
    'type' => 'multienum',
    'massupdate' => true,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'enabled',
    'duplicate_merge_dom_value' => '1',
    'audited' => true,
    'reportable' => true,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'pii' => false,
    'calculated' => false,
    'size' => '20',
    'options' => 'inventory_item_storage_condition_list',
    'default' => '',
    'dependency' => '',
    'isMultiSelect' => true,
  ),
  'stock' => 
  array (
    'required' => false,
    'name' => 'stock',
    'vname' => 'LBL_STOCK',
    'type' => 'bool',
    'massupdate' => false,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'enabled',
    'duplicate_merge_dom_value' => '1',
    'audited' => true,
    'reportable' => true,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'pii' => false,
    'default' => false,
    'calculated' => false,
    'size' => '20',
  ),
),
    'relationships' => array (
),
    'optimistic_locking' => true,
    'unified_search' => true,
    'full_text_search' => true,
);

if (!class_exists('VardefManager')){
}
VardefManager::createVardef('Prod_Product','Prod_Product', array('basic','team_security','assignable','taggable'));